: Class Screen3D

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class Screen3D

    java.lang.Object
      |
      +--javax.media.j3d.Screen3D

public class Screen3D
extends java.lang.Object

The Screen3D Object contains all information about a particular screen. All Canvas3D objects on the same physical screen (display device) refer to the same Screen3D object. Note that Screen3D has no public constructors--it is obtained from the Canvas3D via the getScreen3D method.

Default values for Screen3D parameters are as follows:

physical screen width : 0.35
physical screen height : 0.27
tracker base to image plate transform : identity
head tracker to left image plate transform : identity
head tracker to right image plate transform : identity

See Also:
  `Canvas3D`, `Canvas3D.getScreen3D()`

Method Summary
`void` | `getHeadTrackerToLeftImagePlate(Transform3D t)` Retrieves the head-tracker coordinate system to left image-plate coordinate system transform and copies it into the specified Transform3D object.
`void` | `getHeadTrackerToRightImagePlate(Transform3D t)` Retrieves the head-tracker coordinate system to right image-plate coordinate system transform and copies it into the specified Transform3D object.
`double` | `getPhysicalScreenHeight()` Retrieves the the screen's physical height in meters.
`double` | `getPhysicalScreenWidth()` Retrieves the screen's physical width in meters.
`java.awt.Dimension` | `getSize()` Get screen's(imageplate's) width and height in pixels
`void` | `getTrackerBaseToImagePlate(Transform3D t)` Retrieves the tracker-base coordinate system to image-plate coordinate system transform and copies it into the specified Transform3D object.
`void` | `setHeadTrackerToLeftImagePlate(Transform3D t)` Sets the head-tracker coordinate system to left image-plate coordinate system transform.
`void` | `setHeadTrackerToRightImagePlate(Transform3D t)` Sets the head-tracker coordinate system to right image-plate coordinate system transform.
`void` | `setPhysicalScreenHeight(double height)` Sets the screen physical height in meters.
`void` | `setPhysicalScreenWidth(double width)` Sets the screen physical width in meters.
`void` | `setTrackerBaseToImagePlate(Transform3D t)` Sets the tracker-base coordinate system to image-plate coordinate system transform.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getSize

    public java.awt.Dimension getSize()

  Get screen's(imageplate's) width and height in pixels
  Returns:
    dimension screen's width and height in pixels

### setPhysicalScreenWidth

    public final void setPhysicalScreenWidth(double width)

  Sets the screen physical width in meters. In the case of a head-mounted display, this should be the apparent width at the focal plane.
  Parameters:
    `width` - the screen's physical width in meters.

### getPhysicalScreenWidth

    public final double getPhysicalScreenWidth()

  Retrieves the screen's physical width in meters.
  Returns:
    the screen's physical width in meters.

### setPhysicalScreenHeight

    public final void setPhysicalScreenHeight(double height)

  Sets the screen physical height in meters. In the case of a head-mounted display, this should be the apparent height at the focal plane.
  Parameters:
    `height` - the screen's physical height in meters.

### getPhysicalScreenHeight

    public final double getPhysicalScreenHeight()

  Retrieves the the screen's physical height in meters.
  Returns:
    the screen's physical height in meters.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### setTrackerBaseToImagePlate

    public final void setTrackerBaseToImagePlate(Transform3D t)

  Sets the tracker-base coordinate system to image-plate coordinate system transform. If head tracking is enabled, this transform is a calibration constant. If head tracking is not enabled, this transform is not used. This is used only in SCREEN_VIEW mode.
  Parameters:
    `t` - the new transform
  Throws:
    BadTransformException - if the transform is not rigid

### getTrackerBaseToImagePlate

    public final void getTrackerBaseToImagePlate(Transform3D t)

  Retrieves the tracker-base coordinate system to image-plate coordinate system transform and copies it into the specified Transform3D object.
  Parameters:
    `t` - the object that will receive the transform

### setHeadTrackerToLeftImagePlate

    public final void setHeadTrackerToLeftImagePlate(Transform3D t)

  Sets the head-tracker coordinate system to left image-plate coordinate system transform. If head tracking is enabled, this transform is a calibration constant. If head tracking is not enabled, this transform is not used. This is used only in HMD_VIEW mode.
  Parameters:
    `t` - the new transform
  Throws:
    BadTransformException - if the transform is not rigid

### getHeadTrackerToLeftImagePlate

    public final void getHeadTrackerToLeftImagePlate(Transform3D t)

  Retrieves the head-tracker coordinate system to left image-plate coordinate system transform and copies it into the specified Transform3D object.
  Parameters:
    `t` - the object that will receive the transform

### setHeadTrackerToRightImagePlate

    public final void setHeadTrackerToRightImagePlate(Transform3D t)

  Sets the head-tracker coordinate system to right image-plate coordinate system transform. If head tracking is enabled, this transform is a calibration constant. If head tracking is not enabled, this transform is not used. This is used only in HMD_VIEW mode.
  Parameters:
    `t` - the new transform
  Throws:
    BadTransformException - if the transform is not rigid

### getHeadTrackerToRightImagePlate

    public final void getHeadTrackerToRightImagePlate(Transform3D t)

  Retrieves the head-tracker coordinate system to right image-plate coordinate system transform and copies it into the specified Transform3D object.
  Parameters:
    `t` - the object that will receive the transform

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD